#include "Musikinstrument.h"
#include <iostream>
using namespace std;

Musikinstrument::Musikinstrument() {
  cout << "Konstruktor: Musikinstrument()" << endl;
}
Musikinstrument::Musikinstrument(string name) {
  this->name = name;
  cout << "Konstruktor: Musikinstrument(string name): " << name << endl;
}
Musikinstrument::~Musikinstrument() {
  cout << "Destruktor: Irgentein Musikinstrument" << endl;
}
void Musikinstrument::spielen() {
  cout << "Irgentein Musikinstrument erklingt irgentwie" << endl;
}
string Musikinstrument::liefereName() { return name; }
